summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_install_subdirs.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
commite1d4697bc4af580c8bbdb8256fdc90626e18a226 (patch)
tree99c4cf49c4ba57d83bb03512bce0a89a0ac9d9f3 /subr/pkg_install_subdirs.subr
parentb6a9a1a3c8b98077cce47d579069c42080d17da5 (diff)
downloadmidipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.bz2
midipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.xz
Set -o nounset in addition to +o errexit -o nounset.
groups/000.host_tools.group:libtool_host:${PKG_LIBTOOL}: build w/ `none'. subr/build_init.subr:buildp_init_getopts(): set ${DEFAULT_BUILD_CPUS} prior to ex_pkg_load_vars() call. subr/pkg_{build,install_make}.subr: only pass `LIBTOOL=${PKG_LIBTOOL}' if set and not `none'. vars/libtool_host.vars: removes obsolete vars file.
Diffstat (limited to 'subr/pkg_install_subdirs.subr')
-rw-r--r--subr/pkg_install_subdirs.subr6
1 files changed, 3 insertions, 3 deletions
diff --git a/subr/pkg_install_subdirs.subr b/subr/pkg_install_subdirs.subr
index 8e6e0429..c9e4cd39 100644
--- a/subr/pkg_install_subdirs.subr
+++ b/subr/pkg_install_subdirs.subr
@@ -1,12 +1,12 @@
#
-# set +o errexit -o noglob is assumed.
+# set +o errexit -o noglob -o nounset is assumed.
#
pkg_install_subdirs() {
local _spec="";
for _spec in \
- "${PKG_INSTALL_FILES_DESTDIR}" \
- "${PKG_INSTALL_FILES_DESTDIR_EXTRA}"; do
+ "${PKG_INSTALL_FILES_DESTDIR:-}" \
+ "${PKG_INSTALL_FILES_DESTDIR_EXTRA:-}"; do
if ! rtl_install "${PKG_DESTDIR}" ${_spec}; then
return 1;
fi;